Summary: Primitive bandwidth measurement and clogging tool
Name: tcpblast
Version: 20120518
Release: 0%{?dist}.8sunshine
Source0: http://ftp.icm.edu.pl/pub/software/blast/%{name}-%{version}.tar.gz
Patch0: tcpblast-20120518-makefile.02.patch
Patch1: tcpblast-20011111-opts.patch
Patch2: tcpblast-20120518-printf.patch
Patch3: tcpblast-20120518-config.patch
Patch4: tcpblast-20120518-warnings.patch
Patch5: tcpblast-20120518-gcc15.patch
License: GPLv2
BuildRequires: gcc
BuildRequires: autoconf

%description
Tcpblast sends TCP or UDP packets to a specified port. It can send with
specific limit for a specified time or without limit. It is
bidirectional with the use of the echo service. Much more - see --help. 
See README for tools more suitable for measuring (not clogging) links
capacity.

%prep
%setup -q
# support DESTDIR, use CFLAGS when compiling, preserve man page date
%patch -P 0 -p1 -b .makefile
# fix misspelled CFLAGS
%patch -P 1 -p1 -b .opts
# add line breaks to printf() messages
%patch -P 2 -p1 -b .printf
# use newer config.guess, config.sub for building on modern systems
%patch -P 3 -p1 -b .config
# fix warnings and incorrect use of strncpy()
%patch -P 4 -p1 -b .warnings
# fix error with gcc15 (void function vs. default int)
%patch -P 5 -p1 -b .gcc15

%build
# the packaged autoconf'd files are wildly outdated
rm -f configure && autoconf
%configure
make %{?_smp_mflags}

%install
mkdir -p %{buildroot}%{_sbindir}
make install DESTDIR=%{buildroot}
ln -s tcpblast.8 %{buildroot}%{_mandir}/man8/udpblast.8

%files
%defattr(-,root,root)
%{!?_licensedir:%global license %%doc}
%doc docs/README docs/Changes docs/TODO docs/3examples
%license docs/COPYING
%{_sbindir}/*
%{_mandir}/*/*

%changelog
* Tue Jul 08 2025 Moritz Barsnick <moritz+rpm@barsnick.net> 20120518-0.8sunshine
- add a patch to fix build failures with newer gcc

* Sun Oct 13 2024 Moritz Barsnick <moritz+rpm@barsnick.net> 20120518-0.7sunshine
- add a patch to modernize the build system
- call autoconf before building
- add a patch to fix warnings

* Sun Oct 13 2024 Moritz Barsnick <moritz+rpm@barsnick.net> 20120518-0.6sunshine
- use non-deprecated %%patch macro syntax
- drop obsolete Group and BuildRoot tags and %%clean section

* Mon Nov 05 2018 Moritz Barsnick <moritz+rpm@barsnick.net> 20120518-0.5sunshine
- BR gcc

* Wed Feb 07 2018 Moritz Barsnick <moritz+rpm@barsnick.net> 20120518-0.4sunshine
- add a patch to add line breaks to some printf() messages

* Mon Jul 24 2017 Moritz Barsnick <moritz+rpm@barsnick.net> 20120518-0.3sunshine
- modify makefile patch to not strip the target binary on installation

* Mon Jul 24 2017 Moritz Barsnick <moritz+rpm@barsnick.net> 20120518-0.2sunshine
- add BR autoconf

* Mon Jul 24 2017 Moritz Barsnick <moritz+rpm@barsnick.net> 20120518-0.1sunshine
- update to 20120518
- new Source0 URL
- use %%license tag where available
- add new docs to %%doc
- replace the destdir patche with a "makefile" patch which adds support of
  DESTDIR, and preserves the man page's modification time

* Mon Feb 23 2009 Moritz Barsnick <moritz+rpm@barsnick.net> 20011111-1.5sunshine
- rebuild for F10 on sunshine

* Sun May 11 2008 Moritz Barsnick <moritz+rpm@barsnick.net> 20011111-1.4sunshine
- rebuild for F8 on sunshine
- use %%{dist} tag
- use normed BuildRoot
- don't use %%makeinstall, and add a patch for the Makefile to support
  DESTDIR
- be more specific about license (GPLv2)
- create sbin directory so install doesn't fail

* Fri Jul 07 2006 Moritz Barsnick <moritz+rpm@barsnick.net> 20011111-1.3sunshine
- rebuild for FC5 on sunshine
- new Source location

* Sun Jan 11 2004 Moritz Barsnick <moritz+rpm@barsnick.net> 20011111-1.2sunshine
- rebuild on/for new sunshine and i686

* Mon Jun 23 2003 Moritz Barsnick <moritz+rpm@barsnick.net> 20011111-1.1sunshine
- rebuild for sunshine
- use many more RPM macros
- add patch for correct usage of CFLAGS optimizations
- s/Copyright/License/
- add a link for udpblast man page
- add more files to %%doc

* Tue Oct 24 2000 Rafal Maszkowski <rzm@icm.edu.pl>
- updated and included man page again

* Mon Sep  4 2000 Rafal Maszkowski <rzm@icm.edu.pl>
- excluded completely outdated man page

* Tue Nov 16 1999 Rafal Maszkowski <rzm@icm.edu.pl>
- RPM made with 19991116beta
